RDKit::ForwardSDMolSupplier Class Reference

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::ForwardSDMolSupplier:

## Public Member Functions

| ForwardSDMolSupplier ()
| ForwardSDMolSupplier (std::istream *inStream, bool takeOwnership=true, bool sanitize=true, bool removeHs=true, bool strictParsing=false)
virtual | ~ForwardSDMolSupplier ()
virtual void | init ()
virtual void | reset ()
virtual ROMol * | next ()
virtual bool | atEnd ()
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()

## Protected Member Functions

virtual void | checkForEnd ()
ROMol * | _next ()
virtual void | readMolProps (ROMol *)

## Protected Attributes

bool | df_end
int | d_line
bool | df_sanitize
bool | df_removeHs
bool | df_strictParsing
Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream
bool | df_owner

## Detailed Description

Definition at line 71 of file MolSupplier.h.

## Constructor & Destructor Documentation

## ForwardSDMolSupplier() [1/2]

RDKit::ForwardSDMolSupplier::ForwardSDMolSupplier | ( |  | ) |

inline

Definition at line 78 of file MolSupplier.h.

References RDKit::MolSupplier::init(), and RDKit::MolOps::removeHs().

## ForwardSDMolSupplier() [2/2]

RDKit::ForwardSDMolSupplier::ForwardSDMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | bool | strictParsing = `false`
| ) |  |

explicit

## ~ForwardSDMolSupplier()

virtual RDKit::ForwardSDMolSupplier::~ForwardSDMolSupplier | ( |  | ) |

inline virtual

Definition at line 85 of file MolSupplier.h.

References RDKit::MolSupplier::atEnd(), RDKit::MolSupplier::df_owner, RDKit::MolSupplier::dp_inStream, RDKit::MolSupplier::init(), RDKit::MolSupplier::next(), and RDKit::MolSupplier::reset().

## Member Function Documentation

## _next()

ROMol* RDKit::ForwardSDMolSupplier::_next | ( |  | ) |

protected

## atEnd()

virtual bool RDKit::ForwardSDMolSupplier::atEnd | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## checkForEnd()

virtual void RDKit::ForwardSDMolSupplier::checkForEnd | ( |  | ) |

protected virtual

## init()

virtual void RDKit::ForwardSDMolSupplier::init | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## next()

virtual ROMol* RDKit::ForwardSDMolSupplier::next | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## readMolProps()

virtual void RDKit::ForwardSDMolSupplier::readMolProps | ( | ROMol * |  | ) |

protected virtual

## reset()

virtual void RDKit::ForwardSDMolSupplier::reset | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## Member Data Documentation

## d_line

int RDKit::ForwardSDMolSupplier::d_line

protected

Definition at line 103 of file MolSupplier.h.

## df_end

bool RDKit::ForwardSDMolSupplier::df_end

protected

Definition at line 102 of file MolSupplier.h.

## df_removeHs

bool RDKit::ForwardSDMolSupplier::df_removeHs

protected

Definition at line 104 of file MolSupplier.h.

## df_sanitize

bool RDKit::ForwardSDMolSupplier::df_sanitize

protected

Definition at line 104 of file MolSupplier.h.

## df_strictParsing

bool RDKit::ForwardSDMolSupplier::df_strictParsing

protected

Definition at line 104 of file MolSupplier.h.

The documentation for this class was generated from the following file:

- MolSupplier.h